{% load_banners position: 'geral-faixa-topo' %}

{% if loaded_banners.size > 0 %}
  {% for banner in loaded_banners %}

    {% comment %} Configuração das cores {% endcomment %}
    {% assign color = '#FFF' %}
    {% assign background = '#000' %}
    {% if banner.color and banner.color contains '|' %}
    {% assign background = banner.color | split: '|' | first %}
    {% assign color = banner.color | split: '|' | last %}
    {% endif %}

    {% if banner.description != blank %}
      
      {% capture top_bar_slides %}
        {{ top_bar_slides }}

        <div class="swiper-slide" style="--color: {{ color }}; --background: {{ background }}">
          
          {% if banner.url != blank %}
            <a href="{{ banner.url }}" class="anchor" {% if banner.external %} target="_blank" {% endif %} aria-label="Acessar o conteúdo de {{ banner.title }}">
          {% endif %}

          {{ banner.description }}
          
          {% if banner.url != blank %}
            </a>
          {% endif %}
          
        </div>

      {% endcapture %}
    {% endif %}

  {% endfor %}

  {% comment %} HTML {% endcomment %}
  {% if top_bar_slides != blank %}
    <div class="top-bar" data-top-bar>
      <div class="swiper">
        <div class="swiper-wrapper">
          {{ top_bar_slides }}
        </div>      
      </div>
    </div>
  {% endif %}

{% endif %}
